Skip to main content
GET
/
markets
/
{addressOrSlug}
/
oracle-candles
Get oracle candlesticks
curl --request GET \
  --url https://api.limitless.exchange/markets/{addressOrSlug}/oracle-candles
{
  "interval": "1h",
  "source": "chainlink",
  "symbol": "BTC/USD",
  "timestampStart": 1719792000,
  "timestampEnd": 1719878400,
  "rows": [
    {
      "timestamp": 123,
      "open": 123,
      "high": 123,
      "low": 123,
      "close": 123,
      "volume": 123
    }
  ]
}
Only markets with a Chainlink Data Streams oracle return data from this endpoint. Use the candlestick data alongside prediction market prices to chart the underlying asset.

Path Parameters

addressOrSlug
string
required

Market address (0x...) or slug identifier

Example:

"btc-above-100k-june"

Query Parameters

interval
enum<string>
default:1m

Candlestick interval

Available options:
1m,
5m,
15m,
1h,
4h,
1d
from
number

Start timestamp in UNIX seconds. Defaults to market creation time minus 15 minutes.

Example:

1719792000

to
number

End timestamp in UNIX seconds. Defaults to now.

Example:

1719878400

Response

Candlestick data for the underlying oracle

interval
string

The requested candlestick interval

Example:

"1h"

source
string

Data source identifier

Example:

"chainlink"

symbol
string

The resolved Chainlink symbol

Example:

"BTC/USD"

timestampStart
number

Start of the data range (UNIX seconds)

Example:

1719792000

timestampEnd
number

End of the data range (UNIX seconds)

Example:

1719878400

rows
object[]

Array of OHLCV candlestick rows